rsbackup.cron(1)

NAME
rsbackup.cron - cron script for rsbackup

SYNOPSIS
rsbackup.cron [OPTIONS] FREQUENCY

DESCRIPTION
rsbackup.cron is invoked from cron to run automated backups, pruning and reporting.

FREQUENCY must be one of hourly, daily, weekly or monthly, corresponding to the frequency it is invoked at.

OPTIONS

--dry-run, -n
    Passes the --dry-run option to rsbackup.

--verbose, -v
    Displays the rsbackup command before executing it.

--help, -h
    Displays a usage message and terminates.

--version, -V
    Display version string.

CONFIGURATION
Configuration is read from /etc/rsbackup/defaults. This is a shell script fragment and it should define the following variables:

hourly

daily

weekly

monthly
    Define the list of hosts to back up at a given frequency. Use the special string _all to back up all hosts.

report
    Defines the frequency to send an email report.

email
    Defines the destination address for the email report.

prune
    Defines the frequency of pruning old backups.

prune_incomplete
    Defines the frequency of pruning incomplete backups.

  Example
#
# List hosts to backup hourly, daily, weekly and monthly
#  - set the empty string to back up no hosts (at that frequency)
#  - use the special string "_all" to back up everything
#
hourly=""
daily=_all
weekly=""
monthly=""

#
# Set report=hourly|daily|weekly|monthly to control frequency of
# email reports.  (Hourly is probably a bit much!)  Only effective
# if email is not "".
#
report=daily

#
# Set email=ADDRESS to have the report emailed to that address.
#
email=root

#
# Set prune=hourly|daily|weekly|monthly|never to control frequency of
# automated pruning of old backups
#
prune=daily

#
# Set prune_incomplete=hourly|daily|weekly|monthly|never to control
# frequency of automated pruning of incomplete backups
#
prune_incomplete=weekly

#
# Prefix to the rsbackup command
# Use 'nice' and/or 'ionice' here.  Remember to quote correctly.
#
nicely=

SEE ALSO
rsbackup(1), rsbackup-mount(1)

AUTHOR
Richard Kettlewell <rjk@greenend.org.uk>